List all recipients
GET
/v1/Survey/Recipients
const url = 'https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients';const options = {method: 'GET', headers: {system: 'example', Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients \ --header 'Authorization: Bearer <token>' \ --header 'system: example'List all recipients. The surveys can be filtered by status, or specify a survey ID for which the recipients are to be gathered
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Query Parameters
Section titled “Query Parameters”surveyId
string
List only recipients of the given survey
status
Array<integer>
List only the recipients with the given statuses. Template = 0, Scheduled = 1, Sent = 2, Opened = 3, Responded = 4, Canceled = 5, Deleted = 6, Error = 999,
Responses
Section titled “Responses”The specified SurveyRecipient structures
Media typeapplication/json
Array<object>
object
id
string format: guid
rev
integer format: int64
surveyId
string format: guid
ref
string
referenceTime
string format: date-time
name
string
emailAddress
string
mobilePhone
string
invitationMethod
integer
sendTime
string format: date-time
remindTime
string format: date-time
callbackUri
string
sentTime
string format: date-time
remindedTime
string format: date-time
openedTime
string format: date-time
respondedTime
string format: date-time
callbackCallCount
integer format: int32
callbackCallSuccess
boolean
callbackCalledTime
string format: date-time
status
integer
replaceParams
object
key
additional properties
string
Example
{ "application/json": [ { "id": "aa2af7b1-c640-4d4b-a9b2-8eaf68b446b7", "rev": 0, "surveyId": "ff07bf69-8453-4c1b-b407-1a3467a4109a", "referenceTime": "2025-12-01T07:50:09.6108151+00:00", "name": "Lennart Lennartsbesökare", "emailAddress": "lennart@lennart.se", "mobilePhone": "0701234567", "invitationMethod": 0, "sendTime": "2025-12-01T12:50:09.6107839+00:00", "remindTime": "2025-12-01T17:50:09.610803+00:00", "callbackCallCount": 0, "callbackCallSuccess": false, "status": 1, "replaceParams": { "name": "Lennart", "personalMsg": "Glöm inte att sälja din freestyle Lennart!" } }, { "id": "932f4d47-a8a8-4d45-93d1-212638c9872b", "rev": 0, "surveyId": "ff07bf69-8453-4c1b-b407-1a3467a4109a", "referenceTime": "2025-12-01T02:50:09.6108545+00:00", "name": "Lena BesvaradEnkät", "emailAddress": "lena@lena.se", "mobilePhone": "0701234567", "invitationMethod": 0, "sendTime": "2025-12-01T02:50:09.6108414+00:00", "remindTime": "2025-12-01T12:50:09.6108416+00:00", "respondedTime": "2025-12-01T05:50:09.6108418+00:00", "callbackCallCount": 0, "callbackCallSuccess": false, "status": 4, "replaceParams": { "name": "Lena", "personalMsg": "Ha en trevlig dag Lena!" } }, { "id": "dd9e3d0b-83ab-4f80-bcac-f97618a34b5e", "rev": 0, "surveyId": "ecbc0b3b-24cb-4cb8-a2d9-1fbad16dd6d3", "referenceTime": "2025-12-01T07:50:09.610858+00:00", "name": "Caddie Caddiesson", "emailAddress": "caddie@caddie.se", "mobilePhone": "0701234567", "invitationMethod": 0, "sendTime": "2025-12-01T12:50:09.6108578+00:00", "remindTime": "2025-12-01T17:50:09.6108579+00:00", "callbackCallCount": 0, "callbackCallSuccess": false, "status": 1 } ]}